Subject: Re: Darwin Day event at the UU Church of Spartanburg (SC)?

From: [email-masked]
Date: Fri, 21 Jan 2005 17:51:46 EST

Doug Jensen and I had talked about maybe doing one this year. I forwarded  
him your letter... Thanks for your encouraging words about the sermon  Sunday.  
I will send a copy. Meg